Subject: Re: [netmod] diffserv model questions

From: "Aseem Choudhary (asechoud)" <[email-masked]>
Date: Wed, 3 Jun 2015 06:26:33 +0000

Hi Juergen,

New draft is posted.

https://tools.ietf.org/html/draft-asechoud-netmod-diffserv-model-02

Let us know of any further comments.

Regards,
Aseem

On 5/19/15, 3:49 PM, "Aseem Choudhary (asechoud)" <[email-masked]>
wrote:

>
>
>On 5/19/15, 1:39 PM, "Juergen Schoenwaelder"
><[email-masked]> wrote:
>
>>On Tue, May 19, 2015 at 07:57:26PM +0000, Aseem Choudhary (asechoud)
>>wrote:
>>> Hi Juergen,
>>> 
>>> Please find the replies inline.
>>> 
>>> -thanks,
>>> Aseem
>>> 
>>> On 5/18/15, 10:20 AM, "Juergen Schoenwaelder"
>>> <[email-masked]> wrote:
>>> 
>>> >Hi,
>>> >
>>> >what is the purpose of the feature policy-template-support in
>>> >draft-asechoud-netmod-diffserv-model-01.txt? Can I use the model
>>> >without this feature?
>>> >
>>> >I also note that no implementable object is left in
>>> >ietf-diffserv-policy if I do not support the feature
>>> >policy-template-support. Is this useful?
>>> 
>>> [AC] ietf-diffserv-policy module defines policy as a template. The
>>>other
>>> option is to configure & apply it directly under target as defined in
>>> ietf-diffserv-target module.
>>
>>OK, but why is there a feature since this 'policy' is an extension
>>defined in a separate YANG model?
>
>[AC] OK, I see the point you are making, but there are some changes
>regarding it in next version which will alleviate your concern.
>>
>>> >Is it a bug or a feature to support inline classifier definitions? Is
>>> >it correct that actions are always 'inline' so to say? Is this a bug
>>> >or a feature?
>>> 
>>> [AC] Classifier can be defined inline or can be defined as a separate
>>> template and referred in the policy definition.
>>
>>Yes, but is this a bug or a feature? From an implementation
>>perspective, this sounds like extra cost. So what is the benefit of
>>having both options?
>
>[AC] There are pros and cons of defining either way: When defined as a
>separate template, it becomes reusable objects. Any change in the object
>updates the referencing objects too.
>     While when defined inline, it is local change only. Any modification
>has to be done on every instance.
>    There are use-cases where users may use template and others where they
>define inline. There are vendors which support either/or/both. Also,
>Inline is defined as a feature.
>
>>
>>> All the actions are defined inline. This is the most common use-case.
>>
>>Hm. Why are classifiers and actions treated differently? Perhaps some
>>discussion of the design decisions somewhere in the document would be
>>useful.
>
>[AC]  Actions are typically not reusable objects. Like metering rate or
>RED thresholds are specific values vs classification of voice, video or
>data.
>      I will take this point of adding to the document.
>>
>>/js
>>
>>-- 
>>Juergen Schoenwaelder           Jacobs University Bremen gGmbH
>>Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
>>Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>
>_______________________________________________
>netmod mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/netmod